Commit a3c768a9 authored by Andy Postnikov's avatar Andy Postnikov Committed by Natanael Copa

main/libuv: upgrade to 1.23.2

parent 56948891
......@@ -2,7 +2,7 @@
# Conttributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libuv
pkgver=1.22.0
pkgver=1.23.2
pkgrel=0
pkgdesc="Cross-platform asychronous I/O"
url="https://libuv.org"
......@@ -11,7 +11,6 @@ license="MIT BSD ISC"
makedepends="automake autoconf libtool linux-headers"
subpackages="$pkgname-dev $pkgname-dbg"
source="https://dist.libuv.org/dist/v$pkgver/$pkgname-v$pkgver.tar.gz
musl-dont-have-EFTYPE.patch
disable-setuid-test.patch
"
builddir="$srcdir/$pkgname-v$pkgver"
......@@ -46,6 +45,5 @@ package() {
"$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
sha512sums="2c70e75bd41ec5b86706686d0fc25fe57fdacc7943f4cc49f5f74f229739416a2a655df258ec34906756224ae91cdb31f27ba82e58ec4a8f30d143b4a844aad4 libuv-v1.22.0.tar.gz
06d30dfba78f0cfa46c1c686beaa572681d55fa63f11068aee551639e73e4b06aa66d6b8df561ec4ed3cb3f3bf775a7e01b3f3c2cd046cff34303d6574b736dd musl-dont-have-EFTYPE.patch
sha512sums="8dd9053adad115ae6dd012bf1059aab87cea2adcd8d2f8061607929bf5b0c83b1898f5945325b0f3ace7cdd70b7cdc03f60d4b2f85495c34ca94b9dcf76b42fe libuv-v1.23.2.tar.gz
081b98efa33264d326d998f32600635efd5723de1d9836b99039c60168580c7f56a7ea9fdd138f41bb1aede11da70079cce4aa69ea5b954b7f9e4dcad53ba16a disable-setuid-test.patch"
EFTYPE is a glibc specific error type.
This patch fixed build error in libcouchbase.
See-Also: https://github.com/libuv/libuv/pull/1836
--- a/include/uv.h
+++ b/include/uv.h
@@ -142,7 +142,6 @@
XX(EHOSTDOWN, "host is down") \
XX(EREMOTEIO, "remote I/O error") \
XX(ENOTTY, "inappropriate ioctl for device") \
- XX(EFTYPE, "inappropriate file type or format") \
#define UV_HANDLE_TYPE_MAP(XX) \
XX(ASYNC, async) \
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment